## ros-indigo-cob-supported-robots 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_supported_robots)

find_package(catkin REQUIRED)

set(robotlist
    cob4-3
    cob4-4
    cob4-5
    cob4-6
    cob4-7
    cob4-8
    cob4-9
    cob4-10
    cob4-11
    cob4-13
    cob4-16
    cob4-18
    raw3-1
    raw3-3
    raw3-5
)

catkin_package(
    CFG_EXTRAS cob_supported_robots-extras.cmake
)

=== debian/changelog ===
ros-indigo-cob-supported-robots (0.6.9-0trusty) trusty; urgency=high

  * update maintainer
  * Merge pull request #16 <https://github.com/ipa320/cob_supported_robots/issues/16> from ipa-fxm/add_cob4-13_cardiff
    add cob4-13 cardiff
  * Merge pull request #15 <https://github.com/ipa320/cob_supported_robots/issues/15> from ipa-fxm/add_cob4-18_323
    add cob4-18 323
  * add cob4-13 cardiff
  * add cob4-18 323
  * Contributors: Felix Messmer, Florian Weisshardt, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-supported-robots (0.6.8-0trusty) trusty; urgency=high

  * Merge pull request #13 <https://github.com/ipa320/cob_supported_robots/issues/13> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #12 <https://github.com/ipa320/cob_supported_robots/issues/12> from ipa-fxm/add_cob4-16_uh
    add cob4-16 uh
  * add cob4-16 uh
  * Merge pull request #11 <https://github.com/ipa320/cob_supported_robots/issues/11> from ipa-fxm/move_cob4-2
    move cob4-2 to unity-robotics
  * move cob4-2 to unity-robotics
  * Merge pull request #10 <https://github.com/ipa320/cob_supported_robots/issues/10> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #6 <https://github.com/ipa320/cob_supported_robots/issues/6> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #9 <https://github.com/ipa320/cob_supported_robots/issues/9> from ipa-fxm/travis_extensions
    Travis extensions
  * add debian jobs
  * remove jade jobs
  * Merge pull request #7 <https://github.com/ipa320/cob_supported_robots/issues/7> from ipa320/ipa-fxm-cob4-11-serodi
    add cob4-11 serodi
  * Merge branch 'indigo_dev' into ipa-fxm-cob4-11-serodi
  * Merge pull request #8 <https://github.com/ipa320/cob_supported_robots/issues/8> from ipa-fmw/feature/cob4-10-tlabs
    add initial config for cob4-10 tlabs
  * add initial config for cob4-10
  * add cob4-11 serodi
  * Update PULL_REQUEST_TEMPLATE.md
  * add pull request template
  * use license apache 2.0
  * Contributors: Felix Messmer, Jannik Abbenseth, cob4-10, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-supported-robots (0.6.7-0trusty) trusty; urgency=high

  * Merge pull request #5 <https://github.com/ipa320/cob_supported_robots/issues/5> from ipa-nhg/cob4-8
    setup cob4-8
  * setup cob4-8
  * Merge pull request #4 <https://github.com/ipa320/cob_supported_robots/issues/4> from ipa-nhg/cob4-9
    Setup cob4-9
  * Setup cob4-9
  * Merge pull request #3 <https://github.com/ipa320/cob_supported_robots/issues/3> from ipa-nhg/cob4-paul-stuttgart
    Remove cob4-10 config
  * remove cob4-10 config
  * Merge pull request #2 <https://github.com/ipa320/cob_supported_robots/issues/2> from ipa-fxm/multi_distro_travis
    Multi distro travis
  * fix allow_failures
  * document distro support in README
  * update .rosinstall files
  * setup travis matrix for multiple distros
  * Update README.md
  * Merge pull request #1 <https://github.com/ipa320/cob_supported_robots/issues/1> from ipa-fxm/indigo_dev
    moved cob_supported_robots to separate repo
  * remove cob4-1
  * update robotlist
  * added cob_supported_robots package
  * Initial commit
  * Contributors: Felix Messmer, Florian Weisshardt, Mathias Lüdtke, Nadia Hammoudeh García, ipa-cob4-8, ipa-fxm, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-supported-robots
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/cob_supported_robots
Standards-Version: 3.9.2

Package: ros-indigo-cob-supported-robots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This package contains the list of supported robots within the care-o-bot family.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-supported-robots//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
